#ifndef ROBOT_H
#define ROBOT_H


#include "common.h"


//void initRobotDisplayLists();
//extern int drawRobot_list;


void drawRobot();
void drawBody();
void drawHead();
void drawArm();
void drawEyes();

void myTeapot();


extern float robot_body_x;
extern float robot_body_y;
extern float robot_body_z;
extern float robot_body_vel_z;
extern float robot_body_theta;
extern float robot_head_theta;
extern float robot_head_pitch;
extern float robot_shoulder_theta;
extern float robot_shoulder_pitch;
extern float robot_elbow_theta;
extern float robot_wrist_theta;

extern bool set_spotlight;


#endif // ROBOT_H
