#ifndef SCENE_H
#define SCENE_H


#include "common.h"


void initSceneDisplayLists();
extern int drawFloor_list;
extern int drawWalls_list;
extern int drawSolids_list;


void drawEverything();
void drawRoom();
void drawWalls();
void drawFloor();
void drawSolids();
void drawMirror();
void drawShadows();
void drawFloorReflection();
void drawMirrorReflection();

void drawTiledRect (float x1, float y1, float x2, float y2, 
                    int divx, int divy, bool (*pred)(int x,int y));


void initTexture();


extern float floor_plane[4];
extern float floor_shadow0[4][4];
extern float floor_shadow2[4][4];
extern float floor_shadow3[4][4];
extern float floor_shadow4[4][4];

extern float mesh_points[4][4][3];


#endif // SCENE_H
